Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80100 - SMP kernel declares BIOS bug on DL560 G2. Identifies only one physical processor
Summary: SMP kernel declares BIOS bug on DL560 G2. Identifies only one physical proce...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-12-19 23:25 UTC by Larry Troan
Modified: 2016-04-18 09:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:18 UTC


Attachments (Terms of Use)
dmesg (deleted)
2002-12-19 23:31 UTC, Larry Troan
no flags Details
dmesg_4CPU_DL560.txt (deleted)
2002-12-19 23:32 UTC, Larry Troan
no flags Details
dmesg_beta1 (deleted)
2002-12-19 23:34 UTC, Larry Troan
no flags Details
dmesg_beta4.txt (deleted)
2003-02-07 00:11 UTC, Larry Troan
no flags Details
lspci-vvn_beta4.txt (deleted)
2003-02-07 00:11 UTC, Larry Troan
no flags Details

Description Larry Troan 2002-12-19 23:25:00 UTC
During boot several  "BIOS bug" messages are issued regarding the IO APIC.  Only
one physical processor is seen by the kernel.  
Config:

GinGin BETA 2

DL 560 P2
Dual 1.9GHz procs
11/15/02 ROM
1024 MB RAM
SA5i 
SA 5302-128 

This is a new issue for beta 2.  All physical/virtual processors detected
correctly in beta1.  logs attached. 
----------
Action by: Bryan.Leopard
Issue Registered
----------
Action by: Bryan.Leopard


Status set to: Waiting on Tech

----------
Action by: arjanv
are you sure your MPTABLE is correct ?


----------
Action by: Bryan.Leopard
The MPTABLE is the same for both the BETA1 and BETA2 test results.  Beta 1
works, Beta 2 does not.  Changing from Full Table to Full Table Mapped did not
change the results, either.  In order to cover both possibilities, I have asked
the 560 ROM developer to look at the logs. Hyper-Threading is also broke on ALL
machines.  


----------
Action by: Bryan.Leopard
This is on a DL560, not a DL560 G2 (typo on my part).  I am attaching another dmesg.

File uploaded: dmesg_4cpu_DL560

----------
Action by: Bryan.Leopard
New Data!:  With 2 (of 4) physical processors (Hyper-Threading Enabled), only
one processor identified in /proc/cpuinfo.

With 3 (of 4) physical processors installed, FIVE processors are listed in
/proc/cpuinfo.

With 4 (of 4) physical processors installed, ALL EIGHT Physical/Logical
processors are identified in /proc/cpuinfo.

Comment 1 Larry Troan 2002-12-19 23:25:37 UTC
Issue Tracker 12240.

Comment 2 Larry Troan 2002-12-19 23:31:23 UTC
Created attachment 88818 [details]
dmesg

Comment 3 Larry Troan 2002-12-19 23:32:30 UTC
Created attachment 88819 [details]
dmesg_4CPU_DL560.txt

Comment 4 Larry Troan 2002-12-19 23:34:42 UTC
Created attachment 88820 [details]
dmesg_beta1

Comment 5 Larry Troan 2002-12-19 23:35:45 UTC
Two message files from Issue Tracker were invalid attachments thre and therefore
not attached here.

Comment 6 Larry Troan 2003-01-16 22:48:34 UTC
Arjan, any update on this? Do you need additional info from HP? They say this
was OK on beta2 but broken on beta3.

Comment 7 Arjan van de Ven 2003-01-16 23:52:59 UTC
rawhide info ?

Comment 8 Arjan van de Ven 2003-01-21 13:58:37 UTC
how does phoebe2/beta4 work ?

Comment 9 Larry Troan 2003-02-07 00:07:36 UTC
FROM ISSUE TRACKER 1/31/03....
 With beta4, the following messages still appear in the dmesg log (although the
OS claims to fix up the problem)
ENABLING IO-APIC IRQs
BIOS bug, IO-APIC#0 ID 2 is already used!...
... fixing up to 8. (tell your hw vendor)
...changing IO-APIC physical APIC ID to 8 ... ok.
BIOS bug, IO-APIC#1 ID 3 is already used!...
... fixing up to 9. (tell your hw vendor)
...changing IO-APIC physical APIC ID to 9 ... ok.
BIOS bug, IO-APIC#2 ID 4 is already used!...
... fixing up to 10. (tell your hw vendor)
...changing IO-APIC physical APIC ID to 10 ... ok.
BIOS bug, IO-APIC#3 ID 5 is already used!...
... fixing up to 11. (tell your hw vendor)
...changing IO-APIC physical APIC ID to 11 ... ok.

.................

checking TSC synchronization across CPUs:
BIOS BUG: CPU#1 improperly initialized, has 2 usecs TSC skew! FIXED.
------------------------------------------------------
adding lspci -vv and demsg from beta 4.

File uploaded: dmesg_beta4.txt    Event posted 01-31-2003 11:17am by
Bryan.Leopard with duration of 0.00
lspci-vvn_beta4.txt
File uploaded: lspci-vvn_beta4.txt 

Comment 10 Larry Troan 2003-02-07 00:11:06 UTC
Created attachment 89911 [details]
dmesg_beta4.txt

Comment 11 Larry Troan 2003-02-07 00:11:41 UTC
Created attachment 89912 [details]
lspci-vvn_beta4.txt

Comment 12 Bugzilla owner 2004-09-30 15:40:18 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.